CurrencyStringConverter (JavaFX 27)
Description: declaration: module: javafx.base, package: javafx.util.converter, class: CurrencyStringConverter

# Class CurrencyStringConverter

java.lang.Object
javafx.util.StringConverter<Number>
javafx.util.converter.NumberStringConverter
javafx.util.converter.CurrencyStringConverter

public class CurrencyStringConverter extends NumberStringConverter
A `StringConverter` implementation for `Number` values that represent currency. Instances of this class are immutable.

Since:
  JavaFX 2.1
See Also:
  - `PercentageStringConverter`
  - `NumberStringConverter`
  - `StringConverter`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CurrencyStringConverter()`
  Constructs a `CurrencyStringConverter` with the default locale and format.
  `CurrencyStringConverter(String pattern)`
  Constructs a `CurrencyStringConverter` with the default locale and the given decimal format pattern.
  `CurrencyStringConverter(NumberFormat numberFormat)`
  Constructs a `CurrencyStringConverter` with the given number format.
  `CurrencyStringConverter(Locale locale)`
  Constructs a `CurrencyStringConverter` with the given locale and the default format.
  `CurrencyStringConverter(Locale locale, String pattern)`
  Constructs a `CurrencyStringConverter` with the given locale and decimal format pattern.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected NumberFormat`
  `getNumberFormat()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  This method was exposed erroneously and will be removed in a future version.

  ### Methods declared in class NumberStringConverter

  `fromString, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CurrencyStringConverter

    public CurrencyStringConverter()
    Constructs a `CurrencyStringConverter` with the default locale and format.

  - ### CurrencyStringConverter

    public CurrencyStringConverter(Locale locale)
    Constructs a `CurrencyStringConverter` with the given locale and the default format.
    Parameters:
      `locale` - the locale used in determining the number format used to format the string

  - ### CurrencyStringConverter

    public CurrencyStringConverter(String pattern)
    Constructs a `CurrencyStringConverter` with the default locale and the given decimal format pattern.
    Parameters:
      `pattern` - the string pattern used in determining the number format used to format the string
    See Also:
      - `DecimalFormat`

  - ### CurrencyStringConverter

    public CurrencyStringConverter(Locale locale, String pattern)
    Constructs a `CurrencyStringConverter` with the given locale and decimal format pattern.
    Parameters:
      `locale` - the locale used in determining the number format used to format the string
      `pattern` - the string pattern used in determining the number format used to format the string
    See Also:
      - `DecimalFormat`

  - ### CurrencyStringConverter

    public CurrencyStringConverter(NumberFormat numberFormat)
    Constructs a `CurrencyStringConverter` with the given number format.
    Parameters:
      `numberFormat` - the number format used to format the string

- ## Method Details

  - ### getNumberFormat

    @Deprecated(forRemoval=true, since="22") protected NumberFormat getNumberFormat()
    Deprecated, for removal: This API element is subject to removal in a future version.
    This method was exposed erroneously and will be removed in a future version.
    Description copied from class: `NumberStringConverter`
    Returns a `NumberFormat` instance to use for formatting and parsing in this `StringConverter`.
    Overrides:
      `getNumberFormat` in class `NumberStringConverter`
    Returns:
      a `NumberFormat` instance for formatting and parsing in this `StringConverter`